/**
 * @function filterDply
 */

'use strict'

const co = require('co')

/** @lends filterDply */
function filterDply (dplys, name) {
  return co(function * () {
    for (let i = 0, len = dplys.length; i < len; i++) {
      let dply = dplys[ i ];
      let hit = dply.name === name;
      if (hit) {
        return dply;
      }
    }

    throw new Error(`Unknown name: ${name}`)
  })
}

module.exports = filterDply
