/**
 * @function nameDply
 */

'use strict'

const stringcase = require('stringcase')

/** @lends nameDply */
function nameDply (name, $pkg) {
  return stringcase.spinalcase([
    $pkg.name, name
  ].join('')).replace(/\-/g, '')
}

module.exports = nameDply
