/**
 * @function listDply
 */

'use strict'

const apemandocker = require('apemandocker');
const getDplys = require('./get_dplys');
const Promise = require('apemanpromise');
const ListLogger = require('../logging/list_logger');

/** @lends listDply */
function listDply (apemanfile, names, options = {}) {
  let docker = apemandocker.create()
  let logger = new ListLogger({})
  let dplys = getDplys(apemanfile, names)

  logger.logList(dplys)
  return Promise.resolve(true)
}

module.exports = listDply